//
// picdef.h for PIC12f683
//
#ifndef _PICDEF_H_
#define _PICDEF_H_

#define LOW		0
#define HIGH	1

struct tagPORTA{
	short bit0;
	short bit1;
	short bit2;
	short bit3;
	short bit4;
	short bit5;
	short bit6;
	short bit7;
}PORTA;
#byte PORTA = 5
#byte PORTA_PORT = 5

typedef unsigned int1	BIT;
typedef unsigned int16	WORD;
typedef unsigned int32	DWORD;

union tagDWORD_CNV{
	DWORD dwaddr;
	struct tagDW2BADDR{
		BYTE a1;
		BYTE a2;
		BYTE a3;
		BYTE a4;
	} DW2BADDR;
} DWORD_CNV;

union tagWORD_CNV{
	WORD waddr;
	struct tagW2BADDR{
		BYTE a1;
		BYTE a2;
	} W2BADDR;
} WORD_CNV;

#endif //_PICDEF_H_